For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTCreate Guidance
          • GETGet Guidance By Id
          • DELDelete Guidance By Id
          • PATCHUpdate
          • GETGet Guidances
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceGuidance

Update

||以 Markdown 格式查看|
PATCH
/guidance/:domain/:guidance_id
PATCH
/guidance/:domain/:guidance_id
$curl -X PATCH https://fai.buildwithfern.com/guidance/domain/guidance_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "guidance": {
3 "domain": "healthcare",
4 "context": [
5 "patient safety",
6 "clinical protocols",
7 "emergency procedures"
8 ],
9 "document": "This guidance document outlines the updated clinical protocols for patient safety in emergency situations, including triage procedures and medication administration.",
10 "guidance_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
11 "created_at": "2024-01-15T09:30:00Z",
12 "updated_at": "2024-01-15T09:30:00Z"
13 }
14}
此页面是否有帮助?
上一个

Delete Guidance By Id

下一个

Get Guidances

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需
guidance_idstring必需

请求

This endpoint expects an object.
contextlist of strings or null可选
The updated context of the guidance document, as a list of strings, that will be indexed. If not provided, this field will remain unchanged.
documentstring or null可选
The updated content of the guidance document that will be returned to Ask Fern during Ask Fern retrieval. If not provided, this field will remain unchanged.

响应

Successful Response
guidanceobject
The updated guidance document

错误

422
Unprocessable Entity Error